# 0.18.0
- Update Matrix SDK
- Rename `user_info` table to `local_user`

  Because of this, previous versions of the database are incompatible, and
  there's no migration of any kind.

# 0.17.2
- Include notification columns in select

# 0.17.1
- Save notifications
- Use `INSERT OR REPLACE` instead of `INSERT OR IGNORE` and a seperate `UPDATE`

# 0.17.0
- Save device
- Use transactions for saving user info

# 0.16.0
- Update Matrix SDK

# 0.15.2
- Save room topic
- Use latest sqflite
- Format and correct code using `dartfmt`

  For new merge requests, code is checked with `dartfmt`
  and `dartanalyzer` whether it's formatted and correct.

# 0.15.0
- Implement `from` and `count` in `getMembers(..)`

# 0.14.1
- Save member count of rooms
- Remove `pubspec.lock`

# 0.14.0
- Update Matrix SDK

# 0.13.0
- Save room replacement and replaces id for room upgrades
- Move parsing room parsing logic to `_parseRoomRow(..)`

# 0.12.0
- Update Matrix SDK

# 0.11.0
- Update Matrix SDK

# 0.10.0
- Enforce URL validity

# 0.9.2
- Fix error when `current_user_state_view` exists

# 0.9.1
- Don't use column syntax when creating view
  This was unsupported on older Android versions.

# 0.9.0
- Save `LeftRoom`s
- Fix rooms not being updated

# 0.8.0
- Remove `from` from `getRoomEvents`
- Rename `to` to `until` in `getRoomEvents`

# 0.7.0
- Store room creator

# 0.6.0
- Update dependencies

# 0.5.0
- Update Matrix SDK to 0.8.0

# 0.4.0
- Fix wrong avatar used for room
- Update Matrix SDK

# 0.3.0
- Keep track of user states

# 0.2.4
- Make `parseRoomRow` private
- Fix `getJoinedRooms`
  (thanks to [Mathieu Velten](https://matrix.to/#/@mat:tout.im)!)

# 0.2.3
- Fix avatar url not being parsed
- Update Matrix SDK

# 0.2.2
- Save user avatars

# 0.2.1
- Save `directUser` of `Room`s

# 0.2.0
- Update Matrix SDK

# 0.1.17
- Implement `getUnsentEvents`

# 0.1.16
- Save user information from member change events
- Revert 0.1.15

# 0.1.15
- Fix events not being retrieved if no user matches

# 0.1.14
- Implement `removeEvent()`

# 0.1.13
- Make `userFromDb()` private
- Fix `delete()` implementation
- Update Matrix SDK

# 0.1.12
- Implement `delete()`

# 0.1.11
- Update Matrix SDK

# 0.1.10
- Store previous batch token of rooms

# 0.1.9
- Add time column for events
- Implement limit when fetching events
- Use cascading operator for batches
- Use a single combined primary key for members

# 0.1.8
- Lock `sqflite` version for now

  A higher version seem to crash

# 0.1.7
- Add user info when retrieving events

# 0.1.6
- Fix migration and implement members

# 0.1.5
- Fix not waiting for creation of database

# 0.1.4
- Clean database on version increase

  This is a temporary measure, when everything
  becomes more stable actual migrations will
  take place.

# 0.1.3
- Store avatar urls

# 0.1.2
- Implement returning isOpen bool in open()
- Implement homeserver and user id storage
- Implement getEvent(s)

# 0.1.1
- Remove version from pubspec

# 0.1.0
- Implement the store
